%define	major 2
%define	libname %mklibname %{name} %major
%define	develname %mklibname %{name} -d

Summary:	Templating engine writen in C++
Name:		teng
Version:	2.1.1
Release:	%mkrel 11
License:	LGPL
Group:		System/Libraries
URL:		http://teng.sourceforge.net/
Source0:	http://downloads.sourceforge.net/teng/%{name}-%{version}.tar.gz
BuildRequires:	flex
BuildRequires:	bison

%description
Teng is a general purpose templating engine writen in C++ (i.e. library). It is
also available as Python module or PHP extension. The main idea of teng is to
strictly separate application logic from presentation layer. Widely used on
dynamic web sites.

%package -n	%{libname}
Summary:	The shared Teng libraries
Group:		System/Libraries

%description -n	%{libname}
Teng is a general purpose templating engine writen in C++ (i.e. library). It is
also available as Python module or PHP extension. The main idea of teng is to
strictly separate application logic from presentation layer. Widely used on
dynamic web sites.

This package contains the shared Teng libraries.

%package -n	%{develname}
Summary:	Development files from Teng
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname teng 1 -d}

%description -n	%{develname}
Development files from Teng.

%prep
%setup -q -n %{name}-%{version}

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.la

%files	-n %{libname}
%doc COPYING README INSTALL AUTHORS
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files	-n %{develname}
%{_includedir}/*
%{_libdir}/lib%{name}.so


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.1.1-11.mga8
+ Revision: 1519159
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Oct 04 2018 umeabot <umeabot> 2.1.1-10.mga7
+ Revision: 1317395
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Mon Jul 09 2018 wally <wally> 2.1.1-8.mga7
+ Revision: 1242818
- fix build on aarch64
- use new make macros

* Thu Feb 04 2016 umeabot <umeabot> 2.1.1-7.mga6
+ Revision: 934797
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-6.mga5
+ Revision: 750684
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-5.mga5
+ Revision: 689825
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.1.1-4.mga4
+ Revision: 519626
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.1.1-3.mga3
+ Revision: 384355
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 13 2012 fwang <fwang> 2.1.1-2.mga3
+ Revision: 305237
- lock lib major

* Sat Oct 13 2012 fwang <fwang> 2.1.1-1.mga3
+ Revision: 305227
- new version 2.1.1
- drop .la file

* Mon Feb 07 2011 spuhler <spuhler> 2.0.4-0.20080222.2.mga1
+ Revision: 48294
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package teng


* Wed Sep 09 2009 Thierry Vignaud <tvignaud@mandriva.com> 2.0.4-0.20080222.2mdv2010.0
+ Revision: 434333
- rebuild

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.4-0.20080222.1mdv2009.0
+ Revision: 233017
- 2.0.4 (cvs snap 20080222)
- fix build with gcc43 (P0)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Feb 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-0.20071219.1mdv2008.1
+ Revision: 162779
- new snap (20071219)
- fix deps

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 13 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-0.20071026.1mdv2008.1
+ Revision: 108440
- 2.0.1 (a recent 20071026 cvs snap)
- new major (2)
- new devel naming


* Wed Jun 15 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.0.10-2mdk
- err, fixed requires

* Wed Jun 15 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 1.0.10-1mdk
- initial rpm package 
- small gcc4 fix as P0

